Maintenance update for automake and PHP.
[gnucomo.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
80         $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81         $(top_srcdir)/configure $(am__configure_deps) \
82         $(srcdir)/config.h.in mkinstalldirs COPYING TODO compile \
83         depcomp install-sh missing
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89  configure.lineno config.status.lineno
90 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
91 CONFIG_HEADER = config.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 AM_V_P = $(am__v_P_@AM_V@)
95 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96 am__v_P_0 = false
97 am__v_P_1 = :
98 AM_V_GEN = $(am__v_GEN_@AM_V@)
99 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
100 am__v_GEN_0 = @echo "  GEN     " $@;
101 am__v_GEN_1 = 
102 AM_V_at = $(am__v_at_@AM_V@)
103 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
104 am__v_at_0 = @
105 am__v_at_1 = 
106 SOURCES =
107 DIST_SOURCES =
108 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109         ctags-recursive dvi-recursive html-recursive info-recursive \
110         install-data-recursive install-dvi-recursive \
111         install-exec-recursive install-html-recursive \
112         install-info-recursive install-pdf-recursive \
113         install-ps-recursive install-recursive installcheck-recursive \
114         installdirs-recursive pdf-recursive ps-recursive \
115         tags-recursive uninstall-recursive
116 am__can_run_installinfo = \
117   case $$AM_UPDATE_INFO_DIR in \
118     n|no|NO) false;; \
119     *) (install-info --version) >/dev/null 2>&1;; \
120   esac
121 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
122   distclean-recursive maintainer-clean-recursive
123 am__recursive_targets = \
124   $(RECURSIVE_TARGETS) \
125   $(RECURSIVE_CLEAN_TARGETS) \
126   $(am__extra_recursive_targets)
127 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128         cscope distdir dist dist-all distcheck
129 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130         $(LISP)config.h.in
131 # Read a list of newline-separated strings from the standard input,
132 # and print each of them once, without duplicates.  Input order is
133 # *not* preserved.
134 am__uniquify_input = $(AWK) '\
135   BEGIN { nonempty = 0; } \
136   { items[$$0] = 1; nonempty = 1; } \
137   END { if (nonempty) { for (i in items) print i; }; } \
138 '
139 # Make sure the list of sources is unique.  This is necessary because,
140 # e.g., the same source file might be shared among _SOURCES variables
141 # for different programs/libraries.
142 am__define_uniq_tagged_files = \
143   list='$(am__tagged_files)'; \
144   unique=`for i in $$list; do \
145     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146   done | $(am__uniquify_input)`
147 ETAGS = etags
148 CTAGS = ctags
149 CSCOPE = cscope
150 DIST_SUBDIRS = $(SUBDIRS)
151 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152 distdir = $(PACKAGE)-$(VERSION)
153 top_distdir = $(distdir)
154 am__remove_distdir = \
155   if test -d "$(distdir)"; then \
156     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157       && rm -rf "$(distdir)" \
158       || { sleep 5 && rm -rf "$(distdir)"; }; \
159   else :; fi
160 am__post_remove_distdir = $(am__remove_distdir)
161 am__relativize = \
162   dir0=`pwd`; \
163   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164   sed_rest='s,^[^/]*/*,,'; \
165   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166   sed_butlast='s,/*[^/]*$$,,'; \
167   while test -n "$$dir1"; do \
168     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169     if test "$$first" != "."; then \
170       if test "$$first" = ".."; then \
171         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173       else \
174         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175         if test "$$first2" = "$$first"; then \
176           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177         else \
178           dir2="../$$dir2"; \
179         fi; \
180         dir0="$$dir0"/"$$first"; \
181       fi; \
182     fi; \
183     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184   done; \
185   reldir="$$dir2"
186 DIST_ARCHIVES = $(distdir).tar.gz
187 GZIP_ENV = --best
188 DIST_TARGETS = dist-gzip
189 distuninstallcheck_listfiles = find . -type f -print
190 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
192 distcleancheck_listfiles = find . -type f -print
193 ACLOCAL = @ACLOCAL@
194 AMTAR = @AMTAR@
195 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AWK = @AWK@
200 CC = @CC@
201 CCDEPMODE = @CCDEPMODE@
202 CFLAGS = @CFLAGS@
203 CPP = @CPP@
204 CPPFLAGS = @CPPFLAGS@
205 CXX = @CXX@
206 CXXDEPMODE = @CXXDEPMODE@
207 CXXFLAGS = @CXXFLAGS@
208 CYGPATH_W = @CYGPATH_W@
209 DEFS = @DEFS@
210 DEPDIR = @DEPDIR@
211 ECHO_C = @ECHO_C@
212 ECHO_N = @ECHO_N@
213 ECHO_T = @ECHO_T@
214 EGREP = @EGREP@
215 EXEEXT = @EXEEXT@
216 GREP = @GREP@
217 INSTALL = @INSTALL@
218 INSTALL_DATA = @INSTALL_DATA@
219 INSTALL_PROGRAM = @INSTALL_PROGRAM@
220 INSTALL_SCRIPT = @INSTALL_SCRIPT@
221 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
222 LDFLAGS = @LDFLAGS@
223 LIBOBJS = @LIBOBJS@
224 LIBPQXX_CFLAGS = @LIBPQXX_CFLAGS@
225 LIBPQXX_LIBS = @LIBPQXX_LIBS@
226 LIBS = @LIBS@
227 LTLIBOBJS = @LTLIBOBJS@
228 MAKEINFO = @MAKEINFO@
229 MKDIR_P = @MKDIR_P@
230 OBJEXT = @OBJEXT@
231 PACKAGE = @PACKAGE@
232 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
233 PACKAGE_NAME = @PACKAGE_NAME@
234 PACKAGE_STRING = @PACKAGE_STRING@
235 PACKAGE_TARNAME = @PACKAGE_TARNAME@
236 PACKAGE_URL = @PACKAGE_URL@
237 PACKAGE_VERSION = @PACKAGE_VERSION@
238 PATH_SEPARATOR = @PATH_SEPARATOR@
239 PKG_CONFIG = @PKG_CONFIG@
240 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
241 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
242 RANLIB = @RANLIB@
243 SET_MAKE = @SET_MAKE@
244 SHELL = @SHELL@
245 STRIP = @STRIP@
246 VERSION = @VERSION@
247 XML_CONFIG = @XML_CONFIG@
248 abs_builddir = @abs_builddir@
249 abs_srcdir = @abs_srcdir@
250 abs_top_builddir = @abs_top_builddir@
251 abs_top_srcdir = @abs_top_srcdir@
252 ac_ct_CC = @ac_ct_CC@
253 ac_ct_CXX = @ac_ct_CXX@
254 am__include = @am__include@
255 am__leading_dot = @am__leading_dot@
256 am__quote = @am__quote@
257 am__tar = @am__tar@
258 am__untar = @am__untar@
259 bindir = @bindir@
260 build_alias = @build_alias@
261 builddir = @builddir@
262 datadir = @datadir@
263 datarootdir = @datarootdir@
264 docdir = @docdir@
265 dvidir = @dvidir@
266 exec_prefix = @exec_prefix@
267 host_alias = @host_alias@
268 htmldir = @htmldir@
269 includedir = @includedir@
270 infodir = @infodir@
271 install_sh = @install_sh@
272 libdir = @libdir@
273 libexecdir = @libexecdir@
274 localedir = @localedir@
275 localstatedir = @localstatedir@
276 mandir = @mandir@
277 mkdir_p = @mkdir_p@
278 oldincludedir = @oldincludedir@
279 pdfdir = @pdfdir@
280 prefix = @prefix@
281 program_transform_name = @program_transform_name@
282 psdir = @psdir@
283 sbindir = @sbindir@
284 sharedstatedir = @sharedstatedir@
285 srcdir = @srcdir@
286 sysconfdir = @sysconfdir@
287 target_alias = @target_alias@
288 top_build_prefix = @top_build_prefix@
289 top_builddir = @top_builddir@
290 top_srcdir = @top_srcdir@
291 SUBDIRS = src test
292 all: config.h
293         $(MAKE) $(AM_MAKEFLAGS) all-recursive
294
295 .SUFFIXES:
296 am--refresh: Makefile
297         @:
298 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
299         @for dep in $?; do \
300           case '$(am__configure_deps)' in \
301             *$$dep*) \
302               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
303               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
304                 && exit 0; \
305               exit 1;; \
306           esac; \
307         done; \
308         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
309         $(am__cd) $(top_srcdir) && \
310           $(AUTOMAKE) --gnu Makefile
311 .PRECIOUS: Makefile
312 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
313         @case '$?' in \
314           *config.status*) \
315             echo ' $(SHELL) ./config.status'; \
316             $(SHELL) ./config.status;; \
317           *) \
318             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
319             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
320         esac;
321
322 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
323         $(SHELL) ./config.status --recheck
324
325 $(top_srcdir)/configure:  $(am__configure_deps)
326         $(am__cd) $(srcdir) && $(AUTOCONF)
327 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
328         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
329 $(am__aclocal_m4_deps):
330
331 config.h: stamp-h1
332         @test -f $@ || rm -f stamp-h1
333         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
334
335 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
336         @rm -f stamp-h1
337         cd $(top_builddir) && $(SHELL) ./config.status config.h
338 $(srcdir)/config.h.in:  $(am__configure_deps) 
339         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
340         rm -f stamp-h1
341         touch $@
342
343 distclean-hdr:
344         -rm -f config.h stamp-h1
345
346 # This directory's subdirectories are mostly independent; you can cd
347 # into them and run 'make' without going through this Makefile.
348 # To change the values of 'make' variables: instead of editing Makefiles,
349 # (1) if the variable is set in 'config.status', edit 'config.status'
350 #     (which will cause the Makefiles to be regenerated when you run 'make');
351 # (2) otherwise, pass the desired values on the 'make' command line.
352 $(am__recursive_targets):
353         @fail=; \
354         if $(am__make_keepgoing); then \
355           failcom='fail=yes'; \
356         else \
357           failcom='exit 1'; \
358         fi; \
359         dot_seen=no; \
360         target=`echo $@ | sed s/-recursive//`; \
361         case "$@" in \
362           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
363           *) list='$(SUBDIRS)' ;; \
364         esac; \
365         for subdir in $$list; do \
366           echo "Making $$target in $$subdir"; \
367           if test "$$subdir" = "."; then \
368             dot_seen=yes; \
369             local_target="$$target-am"; \
370           else \
371             local_target="$$target"; \
372           fi; \
373           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
374           || eval $$failcom; \
375         done; \
376         if test "$$dot_seen" = "no"; then \
377           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
378         fi; test -z "$$fail"
379
380 ID: $(am__tagged_files)
381         $(am__define_uniq_tagged_files); mkid -fID $$unique
382 tags: tags-recursive
383 TAGS: tags
384
385 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
386         set x; \
387         here=`pwd`; \
388         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
389           include_option=--etags-include; \
390           empty_fix=.; \
391         else \
392           include_option=--include; \
393           empty_fix=; \
394         fi; \
395         list='$(SUBDIRS)'; for subdir in $$list; do \
396           if test "$$subdir" = .; then :; else \
397             test ! -f $$subdir/TAGS || \
398               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
399           fi; \
400         done; \
401         $(am__define_uniq_tagged_files); \
402         shift; \
403         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
404           test -n "$$unique" || unique=$$empty_fix; \
405           if test $$# -gt 0; then \
406             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
407               "$$@" $$unique; \
408           else \
409             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
410               $$unique; \
411           fi; \
412         fi
413 ctags: ctags-recursive
414
415 CTAGS: ctags
416 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
417         $(am__define_uniq_tagged_files); \
418         test -z "$(CTAGS_ARGS)$$unique" \
419           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
420              $$unique
421
422 GTAGS:
423         here=`$(am__cd) $(top_builddir) && pwd` \
424           && $(am__cd) $(top_srcdir) \
425           && gtags -i $(GTAGS_ARGS) "$$here"
426 cscope: cscope.files
427         test ! -s cscope.files \
428           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
429 clean-cscope:
430         -rm -f cscope.files
431 cscope.files: clean-cscope cscopelist
432 cscopelist: cscopelist-recursive
433
434 cscopelist-am: $(am__tagged_files)
435         list='$(am__tagged_files)'; \
436         case "$(srcdir)" in \
437           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
438           *) sdir=$(subdir)/$(srcdir) ;; \
439         esac; \
440         for i in $$list; do \
441           if test -f "$$i"; then \
442             echo "$(subdir)/$$i"; \
443           else \
444             echo "$$sdir/$$i"; \
445           fi; \
446         done >> $(top_builddir)/cscope.files
447
448 distclean-tags:
449         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
450         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
451
452 distdir: $(DISTFILES)
453         $(am__remove_distdir)
454         test -d "$(distdir)" || mkdir "$(distdir)"
455         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
456         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
457         list='$(DISTFILES)'; \
458           dist_files=`for file in $$list; do echo $$file; done | \
459           sed -e "s|^$$srcdirstrip/||;t" \
460               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
461         case $$dist_files in \
462           */*) $(MKDIR_P) `echo "$$dist_files" | \
463                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
464                            sort -u` ;; \
465         esac; \
466         for file in $$dist_files; do \
467           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
468           if test -d $$d/$$file; then \
469             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
470             if test -d "$(distdir)/$$file"; then \
471               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
472             fi; \
473             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
474               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
475               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
476             fi; \
477             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
478           else \
479             test -f "$(distdir)/$$file" \
480             || cp -p $$d/$$file "$(distdir)/$$file" \
481             || exit 1; \
482           fi; \
483         done
484         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
485           if test "$$subdir" = .; then :; else \
486             $(am__make_dryrun) \
487               || test -d "$(distdir)/$$subdir" \
488               || $(MKDIR_P) "$(distdir)/$$subdir" \
489               || exit 1; \
490             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
491             $(am__relativize); \
492             new_distdir=$$reldir; \
493             dir1=$$subdir; dir2="$(top_distdir)"; \
494             $(am__relativize); \
495             new_top_distdir=$$reldir; \
496             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
497             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
498             ($(am__cd) $$subdir && \
499               $(MAKE) $(AM_MAKEFLAGS) \
500                 top_distdir="$$new_top_distdir" \
501                 distdir="$$new_distdir" \
502                 am__remove_distdir=: \
503                 am__skip_length_check=: \
504                 am__skip_mode_fix=: \
505                 distdir) \
506               || exit 1; \
507           fi; \
508         done
509         -test -n "$(am__skip_mode_fix)" \
510         || find "$(distdir)" -type d ! -perm -755 \
511                 -exec chmod u+rwx,go+rx {} \; -o \
512           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
513           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
514           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
515         || chmod -R a+r "$(distdir)"
516 dist-gzip: distdir
517         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
518         $(am__post_remove_distdir)
519
520 dist-bzip2: distdir
521         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
522         $(am__post_remove_distdir)
523
524 dist-lzip: distdir
525         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
526         $(am__post_remove_distdir)
527
528 dist-xz: distdir
529         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
530         $(am__post_remove_distdir)
531
532 dist-tarZ: distdir
533         @echo WARNING: "Support for shar distribution archives is" \
534                        "deprecated." >&2
535         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
536         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
537         $(am__post_remove_distdir)
538
539 dist-shar: distdir
540         @echo WARNING: "Support for distribution archives compressed with" \
541                        "legacy program 'compress' is deprecated." >&2
542         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
543         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
544         $(am__post_remove_distdir)
545
546 dist-zip: distdir
547         -rm -f $(distdir).zip
548         zip -rq $(distdir).zip $(distdir)
549         $(am__post_remove_distdir)
550
551 dist dist-all:
552         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
553         $(am__post_remove_distdir)
554
555 # This target untars the dist file and tries a VPATH configuration.  Then
556 # it guarantees that the distribution is self-contained by making another
557 # tarfile.
558 distcheck: dist
559         case '$(DIST_ARCHIVES)' in \
560         *.tar.gz*) \
561           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
562         *.tar.bz2*) \
563           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
564         *.tar.lz*) \
565           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
566         *.tar.xz*) \
567           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
568         *.tar.Z*) \
569           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
570         *.shar.gz*) \
571           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
572         *.zip*) \
573           unzip $(distdir).zip ;;\
574         esac
575         chmod -R a-w $(distdir)
576         chmod u+w $(distdir)
577         mkdir $(distdir)/_build $(distdir)/_inst
578         chmod a-w $(distdir)
579         test -d $(distdir)/_build || exit 0; \
580         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
581           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
582           && am__cwd=`pwd` \
583           && $(am__cd) $(distdir)/_build \
584           && ../configure \
585             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
586             $(DISTCHECK_CONFIGURE_FLAGS) \
587             --srcdir=.. --prefix="$$dc_install_base" \
588           && $(MAKE) $(AM_MAKEFLAGS) \
589           && $(MAKE) $(AM_MAKEFLAGS) dvi \
590           && $(MAKE) $(AM_MAKEFLAGS) check \
591           && $(MAKE) $(AM_MAKEFLAGS) install \
592           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
593           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
594           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
595                 distuninstallcheck \
596           && chmod -R a-w "$$dc_install_base" \
597           && ({ \
598                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
599                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
600                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
601                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
602                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
603               } || { rm -rf "$$dc_destdir"; exit 1; }) \
604           && rm -rf "$$dc_destdir" \
605           && $(MAKE) $(AM_MAKEFLAGS) dist \
606           && rm -rf $(DIST_ARCHIVES) \
607           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
608           && cd "$$am__cwd" \
609           || exit 1
610         $(am__post_remove_distdir)
611         @(echo "$(distdir) archives ready for distribution: "; \
612           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
613           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
614 distuninstallcheck:
615         @test -n '$(distuninstallcheck_dir)' || { \
616           echo 'ERROR: trying to run $@ with an empty' \
617                '$$(distuninstallcheck_dir)' >&2; \
618           exit 1; \
619         }; \
620         $(am__cd) '$(distuninstallcheck_dir)' || { \
621           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
622           exit 1; \
623         }; \
624         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
625            || { echo "ERROR: files left after uninstall:" ; \
626                 if test -n "$(DESTDIR)"; then \
627                   echo "  (check DESTDIR support)"; \
628                 fi ; \
629                 $(distuninstallcheck_listfiles) ; \
630                 exit 1; } >&2
631 distcleancheck: distclean
632         @if test '$(srcdir)' = . ; then \
633           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
634           exit 1 ; \
635         fi
636         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
637           || { echo "ERROR: files left in build directory after distclean:" ; \
638                $(distcleancheck_listfiles) ; \
639                exit 1; } >&2
640 check-am: all-am
641 check: check-recursive
642 all-am: Makefile config.h
643 installdirs: installdirs-recursive
644 installdirs-am:
645 install: install-recursive
646 install-exec: install-exec-recursive
647 install-data: install-data-recursive
648 uninstall: uninstall-recursive
649
650 install-am: all-am
651         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
652
653 installcheck: installcheck-recursive
654 install-strip:
655         if test -z '$(STRIP)'; then \
656           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
657             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
658               install; \
659         else \
660           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
661             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
662             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
663         fi
664 mostlyclean-generic:
665
666 clean-generic:
667
668 distclean-generic:
669         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
670         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
671
672 maintainer-clean-generic:
673         @echo "This command is intended for maintainers to use"
674         @echo "it deletes files that may require special tools to rebuild."
675 clean: clean-recursive
676
677 clean-am: clean-generic mostlyclean-am
678
679 distclean: distclean-recursive
680         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
681         -rm -f Makefile
682 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
683
684 dvi: dvi-recursive
685
686 dvi-am:
687
688 html: html-recursive
689
690 html-am:
691
692 info: info-recursive
693
694 info-am:
695
696 install-data-am:
697
698 install-dvi: install-dvi-recursive
699
700 install-dvi-am:
701
702 install-exec-am:
703
704 install-html: install-html-recursive
705
706 install-html-am:
707
708 install-info: install-info-recursive
709
710 install-info-am:
711
712 install-man:
713
714 install-pdf: install-pdf-recursive
715
716 install-pdf-am:
717
718 install-ps: install-ps-recursive
719
720 install-ps-am:
721
722 installcheck-am:
723
724 maintainer-clean: maintainer-clean-recursive
725         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
726         -rm -rf $(top_srcdir)/autom4te.cache
727         -rm -f Makefile
728 maintainer-clean-am: distclean-am maintainer-clean-generic
729
730 mostlyclean: mostlyclean-recursive
731
732 mostlyclean-am: mostlyclean-generic
733
734 pdf: pdf-recursive
735
736 pdf-am:
737
738 ps: ps-recursive
739
740 ps-am:
741
742 uninstall-am:
743
744 .MAKE: $(am__recursive_targets) all install-am install-strip
745
746 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
747         am--refresh check check-am clean clean-cscope clean-generic \
748         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
749         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
750         distcheck distclean distclean-generic distclean-hdr \
751         distclean-tags distcleancheck distdir distuninstallcheck dvi \
752         dvi-am html html-am info info-am install install-am \
753         install-data install-data-am install-dvi install-dvi-am \
754         install-exec install-exec-am install-html install-html-am \
755         install-info install-info-am install-man install-pdf \
756         install-pdf-am install-ps install-ps-am install-strip \
757         installcheck installcheck-am installdirs installdirs-am \
758         maintainer-clean maintainer-clean-generic mostlyclean \
759         mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
760         uninstall-am
761
762
763 # Tell versions [3.59,3.63) of GNU make to not export all variables.
764 # Otherwise a system limit (for SysV at least) may be exceeded.
765 .NOEXPORT: